Bug 1248380 - oscap does not handle non-decimal version of OVAL
oscap does not handle non-decimal version of OVAL
Status: POST
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openscap (Show other bugs)
5.11
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jan Černý
BaseOS QE Security Team
:
Depends On: 1202868 1248375
Blocks: 1248378
  Show dependency treegraph
 
Reported: 2015-07-30 04:02 EDT by Ján Rusnačko
Modified: 2016-06-07 11:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1248375
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ján Rusnačko 2015-07-30 04:02:59 EDT
+++ This bug was initially created as a clone of Bug #1248375 +++

Description of problem:
oscap does not handle the non-decimal version of OVAL XMLs (e.g. 5.10.1) well:

File '/home/jrusnack/workspace/tmp/result.xml' line 6: Element
'{http://oval.mitre.org/XMLSchema/oval-common-5}schema_version': '5.10.1' is not
a valid value of the atomic type 'xs:decimal'. 


Version-Release number of selected component (if applicable):
1.1.1

Steps to Reproduce:
$ oscap ds sds-compose source.xml result.xml 

where source.xml is OVAL XML with 5.10.1 version
Comment 1 Šimon Lukašík 2015-07-31 04:37:24 EDT
Fixed in upstream, easy to backport.

Relevant upstream change: https://github.com/OpenSCAP/openscap/commit/0aa1a0d02046f26935aa0f3833e7edf531662237
Comment 2 Mike McCune 2016-03-28 19:35:19 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.